/**
 * http://www.stat.ubc.ca/~bouchard/GEP/README-usage.html
 * 
 * @author Alexandre Bouchard
 * @author Ardavan Saeedi
 */
package gep.model;
import nuts.util.Counter;
import nuts.util.CounterMap;


public interface SufficientStatistics<C,S>
{
  public CounterMap<C,S> getStateTransitionStats();
  public Counter<C> getWaitingTimeStats();
  // as a convenience:
  @SuppressWarnings({ "rawtypes" })
  public Counter getBaseMeasureStats();
}