/**
 * http://www.stat.ubc.ca/~bouchard/GEP/README-usage.html
 * 
 * @author Alexandre Bouchard
 * @author Ardavan Saeedi
 */
package gep.model;

/**
 * Provides concentration parameters
 *
 * @param <C>
 */
public interface HyperParamProvider<C>
{
  //get the concentration parameter for \bar \mu_context
  public double getHyperParam(C context);
}